org.springframework.messaging.handler.invocation

## Class MethodArgumentResolutionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.messaging.MessagingException
          - - org.springframework.messaging.handler.invocation.MethodArgumentResolutionException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  MethodArgumentNotValidException, MethodArgumentTypeMismatchException

    public class MethodArgumentResolutionException
    extends MessagingException

Common exception resulting from the invocation of `HandlerMethodArgumentResolver`.

Since:
  4.3.6
Author:
  Juergen Hoeller
See Also:
  `HandlerMethodArgumentResolver`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MethodArgumentResolutionException(Message<?> message, org.springframework.core.MethodParameter parameter)` Create a new instance providing the invalid `MethodParameter`.
`MethodArgumentResolutionException(Message<?> message, org.springframework.core.MethodParameter parameter, String description)` Create a new instance providing the invalid `MethodParameter` and a prepared description.
`MethodArgumentResolutionException(Message<?> message, org.springframework.core.MethodParameter parameter, String description, Throwable cause)` Create a new instance providing the invalid `MethodParameter`, prepared description, and a cause.

### Method Summary

All Methods Instance Methods Concrete Methods
`org.springframework.core.MethodParameter` `getMethodParameter()` Return the MethodParameter that was rejected.

### Methods inherited from class org.springframework.messaging.MessagingException

`getFailedMessage, toString`

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMessage, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MethodArgumentResolutionException

    public MethodArgumentResolutionException(Message<?> message,
                                             org.springframework.core.MethodParameter parameter)

Create a new instance providing the invalid `MethodParameter`.

#### MethodArgumentResolutionException

    public MethodArgumentResolutionException(Message<?> message,
                                             org.springframework.core.MethodParameter parameter,
                                             String description)

Create a new instance providing the invalid `MethodParameter` and a prepared description.

#### MethodArgumentResolutionException

    public MethodArgumentResolutionException(Message<?> message,
                                             org.springframework.core.MethodParameter parameter,
                                             String description,
                                             @Nullable
                                             Throwable cause)

Create a new instance providing the invalid `MethodParameter`, prepared description, and a cause.

### Method Detail

#### getMethodParameter

    public final org.springframework.core.MethodParameter getMethodParameter()

Return the MethodParameter that was rejected.